<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--    Output HTML    -->
	<xsl:template match="/">
		<html>
			<head>
				<title>bibliotek.dk - links til mere</title>
				<link rel="stylesheet" type="text/css" href="http://bibliotek.dk/common/css/style.css"/>
				<style type="text/css">
					.lnk { padding-right: 6px; background: transparent url('http://bibliotek.dk/common/pics/bn_arrow_brown.gif') no-repeat 100% 70%;}
					/* local css for ie fix when scaling font */
					body { background: #FFFFFF url('http://bibliotek.dk/common/pics/bg.jpg') repeat-x 0px 0px; }
				</style>
			</head>
			<body>
				<div class="boxborder boxPop">
					<img src="http://bibliotek.dk/common/pics/box_top_682_popup.gif" width="100%" height="5" alt=""/>
					<div class="padPop contentPopup">
						<xsl:for-each select="results/data">
							<div>
								<xsl:if test="metadata[@key='genre'] = 'book'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_bog_32.gif"/>
								</xsl:if>
								<xsl:if test="metadata[@key='format'] = 'cd' and metadata[@key='type'] = 'music'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_cd_32.gif"/>
								</xsl:if>
								<xsl:if test="metadata[@key='type'] = 'audiobook'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_lydbog_baand_32.gif"/>
								</xsl:if>
								<xsl:if test="metadata[@key='format'] = 'dvd'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_dvd_32.gif"/>
								</xsl:if>
								<xsl:if test="metadata[@key='type'] = 'game'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_cd-rom_32.gif"/>
								</xsl:if>
								<xsl:if test="metadata[@key='genre'] = 'article'">
									<img src="http://www.danbib.dk/bibliotek.dk_ikoner/ikon_artikel_32.gif"/>
								</xsl:if>
								<b>
									<xsl:text> </xsl:text>
									<xsl:value-of select="metadata[@key='aufirst']"/>
									<xsl:text> </xsl:text>
									<xsl:value-of select="metadata[@key='aulast']"/>
									<xsl:value-of select="metadata[@key='creator']"/>
									<xsl:if test="metadata[@key='atitle'] != ''">: <xsl:value-of select="metadata[@key='atitle']"/>
										<br/>I:</xsl:if>
									<xsl:text> </xsl:text>
									<xsl:value-of select="metadata[@key='jtitle']"/>
									<xsl:if test="metadata[@key='btitle'] != ''"> - <xsl:value-of select="metadata[@key='btitle']"/>
									</xsl:if> (<xsl:value-of select="metadata[@key='date']"/>)<br/>
									<xsl:if test="metadata[@key='volume'] != ''"> &#229;rgang: <xsl:value-of select="metadata[@key='volume']"/>
									</xsl:if>
									<xsl:if test="metadata[@key='issue'] != ''"> nummer: <xsl:value-of select="metadata[@key='issue']"/>
									</xsl:if>
									<xsl:if test="metadata[@key='spage'] != ''"> side: <xsl:value-of select="metadata[@key='spage']"/>
									</xsl:if>
									<xsl:if test="metadata[@key='epage'] != ''">-<xsl:value-of select="metadata[@key='epage']"/>
									</xsl:if>
								</b>
							</div>
						</xsl:for-each>
						<ul>
							<xsl:call-template name="results"/>
						</ul>
					</div>
					<img src="http://bibliotek.dk/common/pics/box_bottom_682_popup.gif" width="100%" height="5" alt=""/>
					<br/>
					<div class="but right" onMouseover="this.className='butOver right'" onMouseout="this.className='but right'">
						<div class="left"/>
						<a href="javascript:window.close()">Luk <img src="http://bibliotek.dk/common/pics/bn_arrow.gif" width="8" height="12" alt=""/>
						</a>
						<div class="right"/>
					</div>
				</div>
				<div class="blueline"/>
				<div class="headerPopup">
					<div class="left">
						<img src="http://bibliotek.dk/common/pics/popup_hd_left.gif" width="5" height="54" alt=""/>
					</div>
					<div class="hdBox left">
						<xsl:for-each select="results/data">
							<xsl:text>Links til mere</xsl:text>
						</xsl:for-each>
					</div>
					<div class="left">
						<img src="http://bibliotek.dk/common/pics/popup_hd_right.gif" width="5" height="54" alt=""/>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>
	<!--    Header service types    -->
	<xsl:template match="/result" name="header">
		<xsl:param name="header"/>
		<div>
			<b>
				<xsl:value-of select="$header"/>
			</b>
		</div>
	</xsl:template>
	<!--    Output results   -->
	<xsl:template match="/results" name="results_out">
		<xsl:param name="type"/>
		<xsl:param name="header"/>
		<xsl:if test="/results/result[@type=$type]">
			<xsl:call-template name="header">
				<xsl:with-param name="header">
					<xsl:value-of select="$header"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:for-each select="/results/result">
				<xsl:if test="@type=$type">
					<li>
						<b>
							<xsl:element name="a">
								<xsl:attribute name="href"><xsl:value-of select="."/></xsl:attribute>
								<xsl:attribute name="class">lnk</xsl:attribute>
								<xsl:attribute name="target">_blank</xsl:attribute>
								<xsl:value-of select="@service"/>
							</xsl:element>
						</b>
					</li>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!--    Select types and headers   -->
	<xsl:template match="/results" name="results">
		<xsl:call-template name="results_out">
			<xsl:with-param name="type">fulltext</xsl:with-param>
			<xsl:with-param name="header">Find artiklen i fuldtekst</xsl:with-param>
		</xsl:call-template>
		<!--    Books   -->
		<xsl:if test="results/data/metadata[@key='aulast'] != '' and results/data/metadata[@key='atitle'] = ''">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">authorsearch</xsl:with-param>
				<xsl:with-param name="header">L&#230;s mere om <xsl:value-of select="results/data/metadata[@key='aufirst']"/>
					<xsl:text> </xsl:text>
					<xsl:value-of select="results/data/metadata[@key='aulast']"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="results/data/metadata[@key='info:ofi/fmt:kev:mtx:dc/language'] = 'dan'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">authorsearch_dan</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="results/data/metadata[@key='isbn'] != ''">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">bookstore</xsl:with-param>
				<xsl:with-param name="header">K&#248;b <xsl:value-of select="results/data/metadata[@key='btitle']"/> online</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">websearch</xsl:with-param>
				<xsl:with-param name="header">S&#248;g videre p&#229; nettet</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<!--    Games   -->
		<xsl:if test="results/data/metadata[@key='type'] = 'game'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">game</xsl:with-param>
				<xsl:with-param name="header">L&#230;s mere om spillet</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">buy_game</xsl:with-param>
				<xsl:with-param name="header">K&#248;b spillet online</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<!--    Movies   -->
		<xsl:if test="results/data/metadata[@key='type'] = 'movie'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">movie</xsl:with-param>
				<xsl:with-param name="header">L&#230;s mere om <xsl:value-of select="results/data/metadata[@key='jtitle']"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:if test="results/data/metadata[@key='creator'] != ''">
				<xsl:call-template name="results_out">
					<xsl:with-param name="type">movie_director</xsl:with-param>
					<xsl:with-param name="header">L&#230;s mere om <xsl:value-of select="results/data/metadata[@key='creator']"/>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="results_out">
					<xsl:with-param name="type">image</xsl:with-param>
					<xsl:with-param name="header">Find billeder fra <xsl:value-of select="results/data/metadata[@key='jtitle']"/>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="results_out">
					<xsl:with-param name="type">rss</xsl:with-param>
					<xsl:with-param name="header">RSS-feed p&#229; <xsl:value-of select="results/data/metadata[@key='creator']"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="results/data/metadata[@key='format'] = 'dvd'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">buy_movie</xsl:with-param>
				<xsl:with-param name="header">K&#248;b <xsl:value-of select="results/data/metadata[@key='jtitle']"/> online</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<!--    Music   -->
		<xsl:if test="results/data/metadata[@key='type'] = 'music'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">music</xsl:with-param>
				<xsl:with-param name="header">L&#230;s mere om <xsl:value-of select="results/data/metadata[@key='creator']"/>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">rss</xsl:with-param>
				<xsl:with-param name="header">RSS-feed p&#229; <xsl:value-of select="results/data/metadata[@key='creator']"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="results/data/metadata[@key='format'] = 'cd'">
			<xsl:call-template name="results_out">
				<xsl:with-param name="type">buy_music</xsl:with-param>
				<xsl:with-param name="header">K&#248;b <xsl:value-of select="results/data/metadata[@key='jtitle']"/> online</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
